# Layout.hh File Reference

`#include <log4cpp/Portability.hh>`
`#include <log4cpp/LoggingEvent.hh>`
`#include <string>`

Include dependency graph for Layout.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces

namespace | log4cpp

## Classes

class | log4cpp::Layout
| Extend this abstract class to create your own log layout format. More...